package de.frankmuenster.mahoe.gui.actions;

import de.frankmuenster.mahoe.gui.views.SettingsView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.util.ApplicationException;

/**
 * Action zum Anzeigen der Settings.
 *
 * @author Frank Mnster
 */
public class ViewSettingsAction implements Action {

    /**
     * Standard-Konstruktor
     */
    public ViewSettingsAction() {
	// intentionally left blank
    }

    /**
     * &Ouml;ffnet das Einstellungsfenster
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {

	GUI.startView(SettingsView.class, null);

    }
}
